LibreOffice LibreOffice 26.2 SDK API Reference

Modules | Variables
GroupOn.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::report
| interfaces for reports generated from data sources.

## Constant Groups
constants | com::sun::star::report::GroupOn
| Specifies how to group data.

## Variables
const short | DEFAULT = 0
| The same value in the column value or expression. More...
const short | PREFIX_CHARACTERS = 1
| The same first nth of characters in the column value or expression. More...
const short | YEAR = 2
| Dates in the same calendar year. More...
const short | QUARTAL = 3
| Dates in the same calendar quarter. More...
const short | MONTH = 4
| Dates in the same month. More...
const short | WEEK = 5
| Dates in the same week. More...
const short | DAY = 6
| Dates on the same date. More...
const short | HOUR = 7
| Times in the same hour. More...
const short | MINUTE = 8
| Times in the same minute. More...
const short | INTERVAL = 9
| Values within an interval you specify. More...